lib

# Procedural File: account.inc Source Location: /lib/account.inc ## Classes: samba3domain Represents a Samba 3 domain entry ## Page Details: This provides several helper function for the account modules. #### Tags:
author: | Roland Gruber
author: | Tilo Lutz
#### Includes: include_once("createntlm.inc") [line 34] Needed to calculate Samba passwords ### array_delete [line 70]
`array array_delete( array $values, array $array)`
This function will return all values from $array without values of $values. #### Tags:
return: | list of remaining values
#### Parameters
array | $values | list of values which should be removed
array | $array | list of original values
[ Top ] ### cmp_domain [line 399]
`integer cmp_domain( string $a, string $b)`
Helper function to sort the domains #### Tags:
return: | 0 if equal, 1 if $a is greater, -1 if $b is greater
#### Parameters
string | $a | first argument to compare
string | $b | second argument to compare
[ Top ] ### genpasswd [line 88]
`string genpasswd( )`
This function will return a password with max. 8 characters. #### Tags:
return: | password
[ Top ] ### getdays [line 149]
`number getdays( )`
This function will return the days from 1.1.1970 until now. #### Tags:
return: | of days
[ Top ] ### getshells [line 42]
`array getshells( )`
Returns a list of shells listed in config/shells. #### Tags:
return: | list of shell names
[ Top ] ### get_preg [line 442]
`boolean get_preg( string $argument, string $regexp)`
Checks if a given value matches the selected regular expression. #### Tags:
return: | true if matches, otherwise false
#### Parameters
string | $argument | value to check
string | $regexp | pattern name
[ Top ] ### lmPassword [line 184]
`string lmPassword( string $password)`
Generates the LM hash of a password. #### Tags:
return: | password hash
#### Parameters
string | $password | password original password
[ Top ] ### ntPassword [line 195]
`string ntPassword( string $password)`
Generates the NT hash of a password. #### Tags:
return: | password hash
#### Parameters
string | $password | password original password
[ Top ] ### pwd_disable [line 323]
`string pwd_disable( string $hash)`
Marks an password hash as disabled and returns the new hash string #### Tags:
return: | disabled hash value
#### Parameters
string | $hash | hash value to disable
[ Top ] ### pwd_enable [line 298]
`string pwd_enable( string $hash)`
Marks an password hash as enabled and returns the new hash string #### Tags:
return: | enabled password hash
#### Parameters
string | $hash | hash value to enable
[ Top ] ### pwd_hash [line 212]
`string pwd_hash( string $password, [boolean $enabled = true], [string $hashType = 'SSHA'])`
Returns the hash value of a plain text password the hash algorithm depends on the configuration file #### Tags:
return: | the password hash
#### Parameters
string | $password | the password string
boolean | $enabled | marks the hash as enabled/disabled (e.g. by prefixing "!")
string | $hashType | password hash type (CRYPT, SHA, SSHA, MD5, SMD5, PLAIN)
[ Top ] ### pwd_is_enabled [line 348]
`boolean pwd_is_enabled( string $hash)`
Checks if a password hash is enabled/disabled #### Tags:
return: | true if the password is marked as enabled
#### Parameters
string | $hash | password hash to check
[ Top ] ### RndInt [line 126]
`integer RndInt( string $Format)`
THIS FUNCTION GENERATES A RANDOM NUMBER THAT WILL BE USED TO RANDOMLY SELECT CHARACTERS. #### Tags:
return: | random number
#### Parameters
string | $Format | "letter" or "number"
[ Top ] ### search_domains [line 365]
`array search_domains( )`
Returns an array with all Samba 3 domain entries under the given suffix #### Tags:
return: | list of samba3domain objects
[ Top ] ### smbflag [line 161]
`string smbflag( array $input)`
Takes a list of Samba flags and creates the corresponding flag string. #### Tags:
return: | Samba flag string
#### Parameters
array | $input | is an array of Samba flags (e.g. X or D)
[ Top ] Documentation generated on Tue, 07 Feb 2006 17:03:32 +0100 by phpDocumentor 1.2.3